xine-lib: Data Fields - Variables

xine-lib 1.2.13-20230125hg15249

Here is a list of all variables with links to the structures/unions they belong to:

### - m -

- m : coeff, test_input_class_t
- m0 : deinterlace_scanline_data_s
- m1 : deinterlace_scanline_data_s
- m2 : deinterlace_scanline_data_s
- m3 : deinterlace_scanline_data_s
- m_bCapable16b : _IVideoDecoder
- m_bh : _IVideoDecoder
- m_bIsDivX : _DS_VideoDecoder
- m_bIsDivX4 : _DS_VideoDecoder
- m_Caps : _DMO_VideoDecoder, _DS_VideoDecoder
- m_decoder : _IVideoDecoder
- m_fQuality : _IVideoDecoder
- m_iDecpos : _IVideoDecoder
- m_iFlushed : _DMO_AudioDecoder
- m_iHandle : _DMO_Filter, _DS_Filter
- m_iLastQuality : _DMO_VideoDecoder, _DS_VideoDecoder
- m_iMaxAuto : _DMO_VideoDecoder, _DS_VideoDecoder
- m_iMinBuffers : _DMO_VideoDecoder, _DS_VideoDecoder
- m_iPlaypos : _IVideoDecoder
- m_Mode : _IVideoDecoder
- m_obh : _IVideoDecoder
- m_pAll : _DS_Filter
- m_pDestType : _DMO_Filter, _DS_Filter
- m_pDMO_Filter : _DMO_AudioDecoder, _DMO_VideoDecoder
- m_pDS_Filter : _DS_AudioDecoder, _DS_VideoDecoder
- m_pFilter : _DS_Filter
- m_pImp : _DS_Filter
- m_pInPlace : _DMO_Filter
- m_pInputPin : _DS_Filter
- m_pMedia : _DMO_Filter
- m_pOptim : _DMO_Filter
- m_pOurInput : _DS_Filter
- m_pOurOutput : _DS_Filter
- m_pOurType : _DMO_Filter, _DS_Filter
- m_pOutputPin : _DS_Filter
- m_pParentFilter : _DS_Filter
- m_pSrcFilter : _DS_Filter
- m_sDestType : _DMO_AudioDecoder, _DMO_VideoDecoder, _DS_AudioDecoder, _DS_VideoDecoder
- m_sOurType : _DMO_AudioDecoder, _DMO_VideoDecoder, _DS_AudioDecoder, _DS_VideoDecoder
- m_State : _IVideoDecoder
- m_sVhdr : _DMO_AudioDecoder, _DMO_VideoDecoder, _DS_AudioDecoder, _DS_VideoDecoder
- m_sVhdr2 : _DMO_AudioDecoder, _DMO_VideoDecoder, _DS_AudioDecoder, _DS_VideoDecoder
- macro_blocks : xvmc_macroblocks_t
- macroblockbaseptr : xvmc_macroblocks_t
- macroblockptr : xvmc_macroblocks_t
- macroblocks : xine_xvmc_s, xxmc_driver_s
- magic : _xine_ref_string_head_t, fat_cfg_entry_t, xine_buffer_header_t
- magic_number : demux_fli_t
- main_input : hls_input_plugin_s, mpd_input_plugin_s
- main_input_plugin : cache_input_plugin_t, rip_input_plugin_s
- main_mutex : xshm_driver_t, xv_driver_s
- main_read_call : cache_input_plugin_t
- main_seek_call : cache_input_plugin_t
- mainloop : pulse_driver_s
- make_current : xine_gl
- malloc_size : spu_encoder_s
- mallocedInstr : _FastInstructionFlow
- manager_lock : post_video_port_s
- manager_thread : broadcaster_s
- manifest_mrl : mpd_input_plugin_s
- map : ff_audio_decoder_s, post_plugin_fftgraph_s, spu_encoder_s
- mapped : x11osd, xcbosd
- mask : AnimHeader
- mask_bitmap : x11osd, xcbosd
- mask_gc : x11osd, xcbosd
- mask_gc_back : x11osd, xcbosd
- masking : BitMapHeader
- master : metronom_impl_t, xine_stream_s
- master_started : spucmml_decoder_s
- matrix_coefficients : mpeg2_sequence_s, picture_s, seq_parameter_set_rbsp
- max : alsa_driver_s, aos_t, FloatVal, IntVal, va_property_t, vdec_hw_h264_sequence_t, vidix_property_s, xv_property_t, xxmc_property_t
- max_age : _FS_DATA
- max_age_p : _FS_DATA
- max_audio_src_size : faad_decoder_t, w32a_decoder_s
- max_bit_rate : mdpr_t, rmff_mdpr_t, rmff_prop_t, sdpplin_stream_t
- max_bitrate : asf_file_s
- max_bits_per_mb_denom : seq_parameter_set_rbsp
- max_bytes_per_pic_denom : seq_parameter_set_rbsp
- max_chapter : chapter_info_s
- max_char_height : cc_renderer_s
- max_char_width : cc_renderer_s
- max_dec_frame_buffering : seq_parameter_set_rbsp
- max_display_height : opengl2_driver_s
- max_display_width : opengl2_driver_s
- max_dpb_frames : dpb
- max_elems : _xine_list_chunk_s
- max_entries : sparse_array_t
- max_frame_num : seq_parameter_set_rbsp
- max_frame_rate : vos_t
- max_height : vdpau_driver_t, xvmc_capabilities_t
- max_hold_vpts : page_t
- max_id_len : ebml_parser_s
- max_idx : avi_t
- max_layers : vdpau_driver_t
- max_long_term_frame_idx_plus1 : slice_header
- max_num_entries : lrb_t
- max_object_size : asf_stream_extension_s
- max_packet_size : mdpr_t, rmff_mdpr_t, rmff_prop_t, sdpplin_stream_t
- max_page_age : pvr_input_plugin_t
- max_pic_num : coded_picture
- Max_Pt : Fractal_Struct
- max_reorder_frames : dpb
- max_seek_bufs : xine_stream_private_st
- max_size : buf_element_s, demux_flac_t, nal_buffer
- max_size_len : ebml_parser_s
- max_used : xx44_palette_t
- max_video_height : opengl2_driver_s
- max_video_width : opengl2_driver_s
- max_width : vdpau_driver_t, xvmc_capabilities_t
- max_x : vcdplayer_s
- max_y : vcdplayer_s
- MaxFrameNum : vdec_hw_h264_lps_t
- maxlen : _CMediaBuffer
- maxStars : _FS_DATA
- mb_adaptive_frame_field_flag : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- mba : MBAtab
- mc : picture_s
- mct : metronom_clock_private_t
- md5 : xine_flac_streaminfo_block
- mdpr : real_stream_t
- media : demux_ts_t, mpd_stream_info_t
- media_id : properties_t, sample_to_chunk_table_t
- media_index : demux_ts_audio_track, demux_ts_spu_lang
- media_num : demux_ts_t
- media_time : edit_list_table_t
- media_type : _CMediaSample
- mem : _CMediaBuffer, audio_buffer_s, buf_element_s, dxr3_frame_s, mmal_overlay_s, post_plugin_volnorm_s, vdec_hw_h264_sequence_t, xine_ring_buffer_chunk_s
- mem_base : xine_pool_chunk_s
- mem_frame : vaapi_frame_t
- mem_size : audio_buffer_s, fb_driver_s
- mem_to_free : unixscr_t
- member : _avm_list_t
- memory_management_control_operation : slice_header
- mempin : _COutputPin
- menu : dxr3_spudec_s
- menu_handle : spudec_decoder_s
- menu_open : bluray_input_plugin_t
- message : _PLUGIN_INFO
- messages : xine_ui_message_data_t
- meta : demux_ogg_s, ogg_meta
- meta_dl : bluray_input_plugin_t
- meta_info : xine_stream_private_st
- meta_info_public : xine_stream_private_st
- meta_lock : xine_stream_private_st
- meta_set : dav1d_decoder_s
- method : deinterlace_parameters_s, methodlist_item_s, post_plugin_volnorm_s, volnorm_parameters_s
- methods : _PLUGIN_INFO
- metronom : cc_decoder_s, cc_renderer_s, metronom_impl_t, post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s, post_plugin_tdaan_t, vdr_input_plugin_s, vdr_metronom_t, xine_stream_s
- microcode_register : em8300_register_t
- microseconds : CcrtChunk
- mid : opengl2_driver_s
- middleX : _ZOOM_FILTER_DATA, _ZOOM_FILTER_FX_WRAPPER_DATA
- middleY : _ZOOM_FILTER_DATA, _ZOOM_FILTER_FX_WRAPPER_DATA
- midrow_attr : cc_char_cell_s
- mime : mpd_stream_info_t
- mime_type : http_input_plugin_t, mdpr_t, rmff_mdpr_t, sdpplin_stream_t
- mime_type_size : mdpr_t, rmff_mdpr_t, sdpplin_stream_t
- mimetypes : demux_class_s
- min : alsa_driver_s, FloatVal, IntVal, va_property_t, vidix_property_s, xine_nbc_st, xv_property_t, xxmc_property_t
- min_age : _FS_DATA
- min_age_p : _FS_DATA
- min_frame_duration : vos_t
- min_size : flac_decoder_s
- minutes : mpeg2_gop_s
- minutes_value : sei_message
- missing_header : vdec_hw_h264_frame_int_s
- mixer : alsa_driver_s, esd_driver_s, jack_driver_s, oss_driver_s, sndio_driver_s
- mixer_volume : sun_driver_s
- mlti_data : rmff_mdpr_t, sdpplin_stream_t
- mlti_data_size : rmff_mdpr_t, sdpplin_stream_t
- mmap : alsa_driver_s
- mmc5 : vdec_hw_h264_frame_int_s
- mms : mms_input_plugin_t
- mmsh : mms_input_plugin_t
- mngh : demux_mng_t
- mod_length : demux_mod_t
- mode : _ZOOM_FILTER_DATA, ao_file_driver_s, ao_format_s, ao_none_driver_s, aos_t, demux_aac_t, demux_asf_s, demux_vc1_es_t, dvd_input_plugin_s, esd_driver_s, faad_decoder_t, grid3d, http_input_plugin_t, jack_driver_s, metronom_impl_t, mpd_input_plugin_s, oss_driver_s, post_audio_port_s, pp_parameters_s, pulse_driver_s, sequence_t, stdin_input_plugin_t, sun_driver_s, win32_driver_t, x11osd, xcbosd, xine_sarray_s, xml_parser_s, yuv2rgb_factory_impl_s
- mode1 : opengl2_driver_s
- mode2 : opengl2_driver_s
- mode_changed : opengl2_driver_s
- mode_changing : opengl2_driver_s
- modes : MBtab
- modification_time : qt_info
- modified : spudec_state_t
- modified_sample : _MemAllocator
- modifier : lang_locale_t
- module : tls_plugin_s, xine_gl_plugin_s, xine_hw_frame_plugin_s, xine_va_display_plugin_s
- module_class : openssl_class_t
- module_info : all_info_t
- modules_list : plugin_catalog_s
- moov_first_offset : qt_info
- motion_parser : mpeg2_decoder_s
- motion_vectors_over_pic_boundaries : seq_parameter_set_rbsp
- mountpoint : bluray_input_class_t
- mouse_buttonN : dvd_input_plugin_s
- mouse_in : dvd_input_plugin_s
- mouse_inside_button : bluray_input_plugin_t
- movi_end : avi_t
- movi_start : avi_t
- mpeg : xine_xxmc_s
- mpeg1 : demux_mpeg_block_s, demux_mpeg_pes_s, mpeg2_decoder_s, picture_s
- mpeg12_h264_detected : demux_mpeg_pes_s
- mpeg2 : mpeg2dec_decoder_s
- mpeg2dec : mpeg2_video_decoder_s
- mpeg_coding : xine_vld_frame_s
- mpeg_flags : xvmc_capabilities_t
- mpeg_parser : ff_video_decoder_s
- mpfile : demux_mod_t
- mpg_frame_end : demux_mpgaudio_t
- mpg_frame_start : demux_mpgaudio_t
- mpg_layer : demux_mpgaudio_t
- mpg_size : demux_mpgaudio_t
- mpg_version : demux_mpgaudio_t
- mpsub_position : demux_sputext_t
- mrl : avformat_input_plugin_t, avio_input_plugin_t, bluray_input_plugin_t, cdda_input_plugin_t, crypto_input_plugin_t, dvb_input_plugin_t, dvd_input_plugin_s, file_input_plugin_t, ftp_input_plugin_t, gnomevfs_input_t, hls_input_plugin_s, http_input_plugin_t, mms_input_plugin_t, net_input_plugin_t, nfs_input_plugin_t, pnm_input_plugin_t, pvr_input_plugin_t, rtp_input_plugin_t, rtsp_input_plugin_t, rtsp_s, smb_input_t, ssh_input_plugin_t, stdin_input_plugin_t, v4l2_input_plugin_t, v4l_input_plugin_t, vcd_input_plugin_s, vcd_input_plugin_t, vdr_input_plugin_s, xine_mrl_reference_data_ext_t, xine_mrl_reference_data_t, xine_mrl_s
- mrl_entry_offset : vcd_input_class_s
- mrl_offs : hls_input_plugin_s
- mrl_play_offset : vcd_input_class_s
- mrl_private : avio_input_plugin_t, ftp_input_plugin_t, ssh_input_plugin_t
- mrl_segment_offset : vcd_input_class_s
- mrl_track_offset : vcd_input_class_s
- mrls : file_input_class_t, ftp_input_class_t, nfs_input_class_t, sftp_input_class_t, smb_input_class_t, test_input_class_t, vcd_input_class_s, vcd_input_class_t
- mrls_allocated_entries : file_input_class_t, smb_input_class_t
- msecs : qt_info, xine_keyframes_entry_t
- msg : xine_health_check_s, xine_nbc_st
- msizeX : FilterParam
- msizeY : FilterParam
- msock : broadcaster_s
- mul : post_plugin_volnorm_s
- multibuf : pgx64_driver_t
- multibuf_en : pgx64_driver_t
- multibuf_frames : pgx64_driver_t
- multiple_overlay_blend : video_overlay_manager_s
- mustInitBuffers : _ZOOM_FILTER_FX_WRAPPER_DATA
- mute : alsa_driver_s, ao_directx_t, coreaudio_driver_s, esd_driver_s, jack_driver_s, oss_driver_s, sndio_driver_s, xine_audio_level_data_t
- mute_mode : vdr_input_plugin_s
- muted : dx2_driver_t, pulse_driver_s
- mutex : alsa_driver_s, aos_t, argb_layer_s, audio_fifo_s, cdda_input_class_t, context_lock_s, coreaudio_driver_s, dxr3_scr_s, fifo_buffer_s, hls_input_plugin_s, mmal_decoder_s, mmal_driver_t, mpd_input_plugin_s, post_mosaico_s, sdl_driver_s, stk_driver_s, vdr_metronom_t, video_overlay_s, vidix_driver_s, vo_frame_s, vos_t, xine_mutex_t, xine_nbc_st, xine_refs_t, XineOpenGLView, xvmc_surface_handler_s
- mutex_free : video_overlay_s
- mutex_wait : video_overlay_s
- mv_ranges : xine_vld_frame_s
- myConverter : qta_decoder_s